import { Component } from 'react'
import './app.scss'
import './custom-taroui-variables.scss';
import configStore from './store';
import { initApp } from '@root/actions/app';
import { Provider } from 'react-redux';
import dayjs from 'dayjs';
import 'dayjs/locale/zh-cn';
dayjs.locale('zh-cn')

const store = configStore();

class App extends Component {

  componentDidMount () {
    store.dispatch(initApp());
  }

  componentDidShow () {}

  componentDidHide () {}

  componentDidCatchError () {}

  // this.props.children 是将要会渲染的页面
  render () {
    return (
      <Provider store={store}>
        {this.props.children}
      </Provider>
    )
  }
}

export default App
