import { Image, View } from '@tarojs/components';
import { useSelector } from 'react-redux';
import React, { useMemo } from 'react';
import styles from './index.module.scss';
import { getFileUrl } from '@root/service/oss';

const defaultAvator = 'oss://assets/avator_default.svg';

export default function Avator(props) {
  const { src: propsSrc, className, ...restProps } = props;
  const accountAvator = useSelector(state => state.app.avatorUrl)
  const src = useMemo(() => {
    return getFileUrl(propsSrc || accountAvator || defaultAvator);
  }, [propsSrc, accountAvator])
  return (
    <View className={[styles.avator, className]} {...restProps}>
      <Image src={src} />
    </View>
  )
}