import { useSelector } from 'react-redux';
import React, {useState} from 'react';
import styles from './welcome.module.scss';
import dayjs from 'dayjs';
import { useInterval } from '@root/utils/hooks';
import { Text, View } from '@tarojs/components';


const getText = () => {
  const now = dayjs();
  const hour = now.get('hour');
  const dateText = now.format('M月D日 ddd');
  
  const welcome = hour > 5 && hour < 12
    ? '上午好！ '
    : hour === 12
      ? '中午好！'
      : hour > 12 && hour < 18
        ? '下午好！'
        : hour > 18 && hour < 22
          ? '晚上好！'
          : '夜深了，注意休息。';


  return [dateText, welcome]
}

export default function Welcome(props) {
  const { className } = props;
  const accountName = useSelector(state => state.app.accountName);
  const [dateText, setDateText] = useState('');
  const [welcomeText, setWelcomeText] = useState('');
  useInterval(() => {
    const [nextDateText, nextWelcomeText] = getText();
    setDateText(nextDateText);
    setWelcomeText(nextWelcomeText);
  }, 1000 * 60, { immediate: true});
  return (
    <View className={[styles.welcome, className]}>
      <Text className={styles.text}>{dateText}</Text>
      <Text className={styles.text}>{`${welcomeText} ${accountName}`}</Text>
    </View>
  )
}