import { getFileUrl } from "@root/service/oss";
import getData from "@root/utils/request";
import * as storage from '@root/utils/storage';
import { firstCharToLowerCase } from "@root/utils/tool";


export async function fetchProjectList() {
  const accountId = storage.get('accountId');
  const res = await getData('project/queryProjectListByUserId', { userId: accountId });
  const dataList = (res.data || []).map(upperD => {
    const d = firstCharToLowerCase(upperD);
    d.showImgUrl = getFileUrl(d.showImgUrl);
    return d;
  });
  return dataList;
}