import memoize from 'lodash/memoize';
// import { getData } from './request';

// const client = new OSS({
//   region: 'oss-cn-hangzhou',
//   accessKeyId: 'LTAI4G2BEDNpfdLmquYYMaMV',
//   accessKeySecret: 'tPhAL3qAgF9Tq67h73snAmwu8iPZ5t',
//   bucket: 'yiyun-client-files',
//   secure: true,
// });

/**
 * 存储逻辑
 *  + oss上的存储文件路径为 时间戳 / 文件名
 *  + 文件路径信息保存到服务器端时，添加拟协议头 oss://
 *  + 示例：
 *      文件名为oss.js
 *      则在oss上保存的路径为 1601016877378/oss.js
 *      在服务器上存储的记录为: oss://1601016877378/oss.js
 */

// const generateStoreKey = name => `${new Date().getTime()}/${name}`;

export const wrapOssProtocol = path => `oss://${path}`;

export const ossUrl = v => `https://yiyun-client-files.oss-cn-hangzhou.aliyuncs.com/${v}`;
/**
 * 
 * @param {*} objectKey 文件在服务器上的path值，格式为: oss://${timestamp}/filename 
 * @param {*} saveAs 
 */
export const getFileUrl = memoize(function getFileUrlInner(serverOSSPath = '', saveAs) {
  if (serverOSSPath.indexOf('oss://') === 0) {
    const objectKey = serverOSSPath.substr(6);
    return ossUrl(objectKey);
  }
  if(serverOSSPath.indexOf('static/') === 0) { // 处理 static/img/faceImg/faceXX.png
    return ossUrl(`faceImg/${serverOSSPath.substr(19)}`);
    // return `https://yiyun-client-files.oss-cn-hangzhou.aliyuncs.com/faceImg/${serverOSSPath.substr(19)}`;
  }
  // const filename = saveAs || objectKey.split('/').pop();
  return serverOSSPath;
})
// export async function saveStr(saveAs, str) {
//   return await getData('oss', 'saveStr', { saveAs, context: str });
// }
// export async function getContext(objectKey) {
//   const data = await getData('oss', 'getContext', { objectKey });
//   if (!data.type && data.code && data.code !== 'error') return null;
//   return data.data;
// }
