import Taro from '@tarojs/taro';

const keepKeyHash = {};

export function get(key) {
  return Taro.getStorageSync(key);
}

export function set(key, value, keep = false) {
  Taro.setStorageSync(key, value);
  if (keep) {
    keepKeyHash[key] = true;
  }
}

export function remove(key) {
  Taro.removeStorageSync(key);
}

export function clear() {
  const restoreList = [];
  Object.keys(keepKeyHash).forEach((key) => {
    const value = Taro.getStorageSync(key);
    restoreList.push([key, value]);
  });
  Taro.clearStorage();
  restoreList.forEach(([key, value]) => {
    Taro.setStorageSync(key, value);
  })
}